#!/usr/bin/perl


if ($ARGV[0] eq "--help"){
  print <<"HERE";

pkg-examine -- print package contents.

Written by Robert McIntyre. This software is free
software and is released to the public domain.
  
HERE
exit 0;
}



$" = " ";
$pkg_name = $ARGV[0];

`id -g $pkg_name 2>/dev/null`;
if ($?){
  print "No group named $pkg_name.";
  exit 0;}

@files = split(/\0/, `find /usr /opt /etc -group $pkg_name -print0`);

print "@files\n";
